Subject: bug#7873: closed (Re: bug#7873: Automake should support adding to DejaGnu site.exp)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Oct 2011 18:56:02 +0000

Your bug report

#7873: Automake should support adding to DejaGnu site.exp

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7873
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7873: Automake should support adding to DejaGnu site.exp
From: Stefano Lattarini <[email-masked]>
To: Rainer Orth <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 22 Oct 2011 20:53:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wednesday 19 October 2011, Stefano Lattarini wrote:
> Reference:
>  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7873>
> 
> I've rebased the branch on the "fixup" commit `v1.11-250-g0c0b402', and
> I will merge it to maint (and push) in a couple of days if there is no
> objection by then.  The updated patch is attached, for reference.
> 
I've added the NEWS entry below, and pushed.  I'm thus closing this bug
report.

Regards,
  Stefano

-*-*-

diff --git a/NEWS b/NEWS
index 6bc0d6f..e42d53c 100644
--- a/NEWS
+++ b/NEWS
@@ -5,6 +5,10 @@ New in 1.11.0a:
   - The `lzma' compression scheme and associated automake option `dist-lzma'
     is obsoleted by `xz' and `dist-xz' due to upstream changes.
 
+  - When using DejaGnu-based testsuites, the user can extend the `site.exp'
+    file generated by automake-provided rules by defining the special make
+    variable `$(EXTRA_DEJAGNU_SITE_CONFIG)'.
+
 Bugs fixed in 1.11.0a:
 
 * Bugs introduced by 1.11:

Subject: Automake should support adding to DejaGnu site.exp
From: Rainer Orth <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jan 2011 18:13:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently, Automake doesn't support adding package-specific content to
the site.exp file generated for DejaGnu testsuites.  In GCC alone, three
testsuites need that facility and have to override the
Automake-generated target wholesale to achieve what they need:

boehm-gc/testsuite/Makefile.am
libjava/testsuite/Makefile.am
libstdc++-v3/testsuite/Makefile.am

These Makefile.am's carry the following comment:

# We need more things in site.exp, but automake completely controls the
# creation of that file; there's no way to append to it without messing up
# the dependancy chains.  So we overrule automake.  This rule is exactly
# what it would have generated, plus our own additions.

Since in the future it is easily possible that the target/commands
generated by Automake deviate from what is currently emitted there,
there should be a Automake facility to directly support adding to the
generated site.exp.

Thanks.
	Rainer

-- 
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University